org.apache.cassandra.cache

## Interface ICache<K,V>

- All Superinterfaces:
    CacheSize
  All Known Implementing Classes:
    ConcurrentLinkedHashCache, SerializingCache

      public interface ICache<K,V>
      extends CacheSize

  This is similar to the Map interface, but requires maintaining a given capacity and does not require put or remove to return values, which lets SerializingCache be more efficient by avoiding deserialize except on get.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `containsKey(K key)`
    `V` | `get(K key)`
    `java.util.Iterator<K>` | `hotKeyIterator(int n)`
    `java.util.Iterator<K>` | `keyIterator()`
    `void` | `put(K key, V value)`
    `boolean` | `putIfAbsent(K key, V value)`
    `void` | `remove(K key)`
    `boolean` | `replace(K key, V old, V value)`

    - ### Methods inherited from interface org.apache.cassandra.cache.CacheSize

      `capacity, setCapacity, size, weightedSize`

- - ### Method Detail

    - #### put

          void put(K key,
                   V value)

    - #### putIfAbsent

          boolean putIfAbsent(K key,
                              V value)

    - #### replace

          boolean replace(K key,
                          V old,
                          V value)

    - #### get

          V get(K key)

    - #### remove

          void remove(K key)

    - #### clear

          void clear()

    - #### keyIterator

          java.util.Iterator<K> keyIterator()

    - #### hotKeyIterator

          java.util.Iterator<K> hotKeyIterator(int n)

    - #### containsKey

          boolean containsKey(K key)

Copyright © 2018 The Apache Software Foundation